	
    
    
<script>

function tabE(obj, e) {
        var e = (typeof event != 'undefined') ? window.event : e; // IE : Moz 
        if (e.keyCode == 13) {
            var ele = document.forms[0].elements;
            for (var i = 0; i < ele.length; i++) {
                var q = (i == ele.length - 2) ? 0 : i + 2; // if last element : if any other 
                if (obj == ele[i]) {
                      ele[q].select();
				      ele[q].focus();
                    break
                }
            }
            return false;
        }
    }




	  window.onkeydown = tecla;

  function tecla(event) {
  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27 	) {    num = event.keyCode;

if(num==113)parent.abreVentana(); // f3  busqueda de clientes 
if(num==118){ 

						pagacon=document.getElementById("basetotpago2").value;
						parent.document.getElementById("pagacon").value=pagacon;
						parent.document.getElementById("pagacon").focus();

 } // f8 guardar e imprimir 
//if(num==121) validar_Recibo();
	    //f10 guardar e imprimir 

  }  
  }
	
	
	
	
	function NuevoAbono(numfac) {
			parent.location.href="NuevoAbono.php?numfac=" + numfac;
		}




var fila = 0;
function pulsar(e) {
  tab = document.getElementById('Table1');
  filas = tab.getElementsByTagName('tr');
  if (e.keyCode==38 && fila>0) num=-1;
   else if(e.keyCode==40 && fila<filas.length-1) num=1;
   else return;
  filas[fila].style.background = 'white';
  fila+=num;
  filas[fila].style.background = 'yellow';
  
}



function chk_aplicacion(numfac,monabo,aplnot,numlinea)
			{
   	posicion=(numlinea*18)-60;
   	parent.document.form_busqueda.numfac.value=numfac; 
	parent.document.form_busqueda.aplnot.value=aplnot;
  	parent.document.form_busqueda.monabo.value=monabo;
	parent.document.form_busqueda.posicion.value=posicion;
	parent.document.getElementById("form_busqueda").submit();
	var elmnt = document.getElementById("xdetalleAW");  // NOMBRE DEL DIV DONDE PERTENECE EL SCROLL 
    elmnt.scrollLeft=posicion; 
    elmnt.scrollTop =posicion;
 
		}



function validar_monto(salact,monabo)
			{
	if (monabo < salact ){

		alert("Atencion, el abono es mayor que el saldo ")
			
			} else {
				alert("Atencion, el abono es memor al saldo:\n\n"+monabo);
	
				}
		}
				///////////////////////////////////////////////////////MASCARA NUMERICA //////////////////////////////////////////////
		




salact=""
monabo=""
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = ""

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
        validar_Monto(salact,monabo);		//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)

	
	function pon_prefijo(baseporpagar,basetotpago) {
	parent.document.form_busqueda.saldoporpagar.value=baseporpagar;		
	parent.document.form_busqueda.totalpago.value=basetotpago;
	parent.document.form_busqueda.monabo.value="0.00";
	parent.document.form_busqueda.pagacon.value="0.00";
	parent.document.form_busqueda.vuelto.value="0.00";



}

					function inicio() {
    var elmnt = document.getElementById("xdetalleAW");
    var posicion=document.getElementById("posicion").value;
    elmnt.scrollLeft = posicion;
    elmnt.scrollTop = posicion;
}

function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
	
</script>

<html>
<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
<body onLoad="nobackbutton(); inicio();">
<?php 

include ("../conectar.php");
 $cdgcli=$_POST["cdgcli"];
 $numrec=$_POST["numrec"];
 $precio=$_POST["monabo"];
 $preciototal = ereg_replace ("[,]","",$precio);
 $tazint=$_POST["tazint"];
 $aplnot=$_POST["aplnot"];
 $numfac=$_POST["numfac"];
 $posicion=$_POST["posicion"];
$hoy=date("y-m-d");
?>

<div id="xdetalleAW">
  <iframe id="frame_datos" name="frame_datos" width="0%" height="0" frameborder="0">
  <ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
  </iframe>
<?	
	if ($aplnot==1){ //////////////////////// si es aplicada a factura ///////////////////////
	$posicion=0;
		$consulta1 = "DELETE FROM pagos_clientes_recibos_lineastmp  WHERE numrec ='$numrec'";
				$rs_consulta1 = mysql_query($consulta1);	


$query_tmp="SELECT * FROM web_2101 WHERE cdgcli='$cdgcli' AND salact > 0 ORDER BY numfac ASC";
	$rs_tmp=mysql_query($query_tmp);
	$contador=0;
 if ( mysql_num_rows($rs_tmp)>0) {
	
	while ($contador < mysql_num_rows($rs_tmp)) {
	
		$numfac=mysql_result($rs_tmp,$contador,"numfac");
		$fecfac=mysql_result($rs_tmp,$contador,"fecfac");
		$pladia=mysql_result($rs_tmp,$contador,"pladia");
		$salact=mysql_result($rs_tmp,$contador,"salact");
		$totfac=mysql_result($rs_tmp,$contador,"totnet");
		$fecven=mysql_result($rs_tmp,$contador,"fecven");
	
		

		$segundos=strtotime($hoy) - strtotime($fecven);
		$dias=intval($segundos/60/60/24);
	
		if 	($dias  > 0 ) {
		$tazint=$_POST["tazint"];
		$taza=$tazint/100;
		$interes=$salact*$taza;
		$saldo=$interes/30;
		$monint=$saldo*$dias;
		$intfac=$saldo*$dias;
		$monint=round($monint,2);
		$intfac=round($intfac,2);
		} else {
		$monint=0;
		$intfac=0;
	}
	
	
	
		if ($preciototal >= ($salact + $monint)){	

	       $saldo_factura=$salact-$salact;
		    $preciototal=$preciototal-$salact-$monint;
				$monabo=$salact;
				
					
	
      	} else if ($preciototal == 0	) {
	    
		   $saldo_factura=$salact;
		 		$monabo=0;
		    $preciototal=0;
			 $monint=0;
			
		
		} else {
		
	
		if ($preciototal  >= $monint) {
		
	
		 
		   $saldo_factura=$salact-($preciototal-$monint);
			$monabo=$preciototal-$monint;
		    $preciototal=$preciototal-$preciototal;
	
			} else {
						?>
						<script>
			parent.document.form_busqueda.monabo.value="";
			parent.window.buscar();	
			alert("Verifique el monto del abono no es suficiente para cancelar los intereses de la factura ");
	 	
				</script>
		<?
			
		}
	
		}
		
	

		$sel_insertar3="INSERT INTO pagos_clientes_recibos_lineastmp (numrec,numlinea,salfac,borrado,cdgcli,numfac,totfac,monabo, monint,intfac, fecfac ) VALUES 
		('$numrec','','$saldo_factura','0','$cdgcli','$numfac','$salact','$monabo' ,'$monint','$intfac','$fecfac')";
		$rs_insertar3=mysql_query($sel_insertar3);
	

	 
		$contador++;
		
			}
	
			
				} else {
						?>

  <table class="fuente8" width="98%" cellspacing=0 cellpadding=0 border=0>
				<tr>
		<td width="98%" class="mensaje"><?php echo "El Cliente no tiene facturas pendientes";?></td>
        	
            		<script>
	 	
				parent.document.getElementById("cdgcli").select();
				
					</script>
	      </tr>
	  </table>
		<?
 
	} } 






	if ($aplnot==2){ //////////////////////// si es aplicada a factura ///////////////////////
 $numfac=$_POST["numfac"];
$query_tmp="SELECT * FROM web_2101 WHERE cdgcli='$cdgcli' AND salact > 0 ORDER BY numfac ASC";
	$rs_tmp=mysql_query($query_tmp);
	$contador=0;
	while ($contador < mysql_num_rows($rs_tmp)) {

		$numfac_2101=mysql_result($rs_tmp,$contador,"numfac");
		$fecfac=mysql_result($rs_tmp,$contador,"fecfac");
		$pladia=mysql_result($rs_tmp,$contador,"pladia");
		$salact=mysql_result($rs_tmp,$contador,"salact");
		$totfac=mysql_result($rs_tmp,$contador,"totnet");
		$fecven=mysql_result($rs_tmp,$contador,"fecven");
		
		$segundos=strtotime($hoy) - strtotime($fecven);
		$dias=intval($segundos/60/60/24);
	
		if 	($dias  > 0 ) {
		$tazint=$_POST["tazint"];
		$taza=$tazint/100;
		$interes=$salact*$taza;
		$saldo=$interes/30;
		$interes=$saldo*$dias;
		$monint=$interes;
		$intfac=$interes;
		$monint=round($monint,2);
		$intfac=round($intfac,2);
		$total=$salact+$intfac;
		$total=round($total,2);
	
		} else {
		$monint=0;
		$total=$salact;
		$intfac=0;
	}
	
	$sel_articulos="UPDATE pagos_clientes_recibos_lineastmp SET intfac='$intfac' WHERE numfac='$numfac_2101'";
		$rs_articulos=mysql_query($sel_articulos);	
	
	
	if ($numfac==$numfac_2101){	

 $precio=$_POST["monabo"];
 $preciototal = ereg_replace ("[,]","",$precio);
 $preciototal=round($preciototal,2);
		
		  if ( $preciototal > $total ){	

	?>
				<script>
			parent.document.form_busqueda.monabo.value="";	
			parent.window.buscar();	
			alert("Verifique el monto del abono no puede MAYOR que el saldo de la factura");
			
		
		
				</script>
			
		<?
		
		$monint=0;
		
      	} else if ($preciototal == 0	) {
	    
		   $saldo_factura=$salact;
		 		$monabo=0;
		    $preciototal=0;
			 $monint=0;
			
		
		} else {
		
	
		if ($preciototal  >= $monint) {
		
	
		 
		   $saldo_factura=$salact-($preciototal-$monint);
			$monabo=$preciototal-$monint;
		    $preciototal=$preciototal-$preciototal;
							?>
				<script>

	 	
				</script>
		<?
			
			} else {
			?>
				<script>
			parent.document.form_busqueda.monabo.value="";
			parent.window.buscar();	
		alert("Verifique el monto del abono no es suficiente para cancelar los intereses de la factura ");
			
		
	 	
				</script>
		<?

					
		}
		
		}	
		
	
				
	$sel_articulos_contado="UPDATE pagos_clientes_recibos_lineastmp SET monabo='$monabo', monint='$monint',salfac='$saldo_factura' WHERE numfac='$numfac_2101'";
		$rs_articulos_contado=mysql_query($sel_articulos_contado);
 
 
 }
 
		$contador++;

	 	}
					?> 				<script>
			parent.document.form_busqueda.monabo.value="";
			parent.document.form_busqueda.numfac.value="";
			parent.document.form_busqueda.aplnot.value=1;
			

	 	
				</script>
		<?	
		
 }


		
	  ?>
				<form id="form_busqueda" name="form_busqueda" method="post" action="frame_lineas.php" target="frame_rejilla">

  <table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
<?php
$sel_lineas="SELECT * FROM pagos_clientes_recibos_lineastmp WHERE numrec='$numrec' ORDER BY numlinea ASC";
$rs_lineas=mysql_query($sel_lineas);
for ($i = 0; $i < mysql_num_rows($rs_lineas); $i++) {
	$numlinea=mysql_result($rs_lineas,$i,"numlinea");
	$salfac=mysql_result($rs_lineas,$i,"salfac");
	$numfac=mysql_result($rs_lineas,$i,"numfac");
	$monabo=mysql_result($rs_lineas,$i,"monabo");
	$totfac=mysql_result($rs_lineas,$i,"totfac");
	$monint=mysql_result($rs_lineas,$i,"monint");
	$intfac=mysql_result($rs_lineas,$i,"intfac");
	$fecfac=mysql_result($rs_lineas,$i,"fecfac");
	$fecfac= implode("-", array_reverse(explode("-", $fecfac)));
	
	$totabo=$monabo+$monint;
	$basesalfac=$basesalfac+$totfac;
	$baseintereses=$baseintereses+$intfac;
	$baseabono=$monabo+$baseabono;
	$baseabonoint=$monint+$baseabonoint;
	$saldo_total=$totfac+$intfac-$totabo;

  $aplnot=2;  // Devuelve el valor chkbox de aplicar a factura 
	if ($i % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; } ?>
			<tr class="<? echo $fondolinea?>">
				<td width="8%"><div align="center"><? echo $numfac?></div></td>
				<td width="8%"><div align="center"><? echo $fecfac?></div></td>
				<td width="10%"><div align="right"><? echo number_format($totfac,2,".",",")?></div></td>
				<td width="8%"><div align="right"><? echo number_format($intfac,2,".",",")?></div></td>
				<td width="10%"><div align="right"><? echo number_format($monabo,2,".",",")?></div></td>
				<td width="8%"><div align="right"><? echo number_format($monint,2,".",",")?></div></td>
				  <td width="8%"><div align="right"><input type="text" autofocus   value="<? echo number_format($totabo,2,".",",") ?>"  name="totabo"  onkeypress="return tabE(this,event)"  style='text-align:right;'  onChange="chk_aplicacion(<?php echo $numfac ?>, this.value,<? echo $aplnot?>,<? echo $numlinea?>)"   maxlength="15" size="8" autocomplete="off"    /> </div></td>
				<td width="8%"><div align="right"><? echo number_format($saldo_total,2,".",",")?></div></td>
                <? if ($salfac==0){ ?>
                <td width="2%"><input type="checkbox" value="otro" name="valores"   onkeypress="return tabE(this,event)"  checked onClick="chk_aplicacion(<?php echo $numfac ?>,<? echo 0 ?>,<? echo $aplnot?>,<? echo $numlinea?>)" /> </td>
		       <? } else { ?>
                <td width="2%"><input type="checkbox" value="otro" name="valores"    onkeypress="return tabE(this,event)" onclick="chk_aplicacion(<?php echo $numfac ?>,<? echo( $totfac + $intfac  )?>,<? echo $aplnot?>,<? echo $numlinea?>)" /> </td>
                <? }  ?> 
		    </tr>
		</form>
<? 
$basetotpago=$baseabono+$baseabonoint;
$basetotpago2=$baseabono+$baseabonoint;
$baseporpagar=$basesalfac+$baseintereses;
$basesaldos=$baseporpagar-$basetotpago;
$basetotpago=number_format($basetotpago,2,".",",");
$query_busqueda="SELECT count(*) as filas FROM pagos_clientes_recibos_lineastmp   WHERE numrec='$numrec'" ;
$rs_busqueda=mysql_query($query_busqueda);
$filas=mysql_result($rs_busqueda,0,"filas");


	
}


?>


</table>
<blockquote>&nbsp;	</blockquote>
</div>

<div id="ztotalesawrecibos" >
			 <table width="100%" border=0  cellpadding=0 cellspacing=0>
			  <tr>
			    <td width="15%" bgcolor="#FFFFFF" >TOTALES</td>
			    <td width="8%" align="right"><input   name="basetotpago2" class="cajaGrande" style='text-align:right;' type="hidden" id="basetotpago2"  value="<? echo $basetotpago2;?>" readonly></td>
			    <td width="10%" align="right"><input  border="0" name="basesalfac"  class="cajaGrande" type="text" id="basesalfac" style='text-align:right;' value="<? echo number_format($basesalfac,2,".",",");?>" align="right" readonly></td>
			    <td width="11%" align="right"><input  name="baseintereses" class="cajaGrande" style='text-align:right;' type="text" id="baseintereses"  value="<? echo number_format($baseintereses,2,".",",");?>" align="right"  border="0" readonly></td>
			    <td width="12%" align="right"><input  name="baseabono"  class="cajaGrande"style='text-align:right;' type="text" id="baseabono"  value="<? echo number_format($baseabono,2,".",",");?>" align="right" readonly>			      <b></td>
			    <td width="10%"  align="right"><input  name="baseabonoint" type="text" id="baseabonoint"  class="cajaGrande"style='text-align:right;' value="<? echo number_format($baseabonoint,2,".",".");?>"  align="right" readonly></td>
			    <td width="10%"  align="right"><input   name="basetotpago" class="cajaGrande" style='text-align:right;' type="text" id="basetotpago"  value="<? echo $basetotpago;?>" readonly></td>
		       <input name="posicion" type="hidden"  class="cajaGrande" id="posicion" style='text-align:right;' value="<? echo $posicion?>" readonly>

			    <td width="11%"  align="right"><input name="basesaldos" type="text"  class="cajaGrande" id="basesaldos" style='text-align:right;' value="<? echo number_format($basesaldos,2,".",",");?>" readonly>			    </td>
	  </tr>  <td width="14%"  align="right"></td>
  </table>
			
				
		 <script languaje="javascript">
pon_prefijo("<? echo $baseporpagar ?>","<? echo $basetotpago ?>");</script>
</div> 
</body>
</html>